Tokens

Get a list of tokens with full metadata. This is useful for showing a single token page, or scenarios that require more metadata.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Filter to a particular collection with collection-id. Example: 0x8d04a8c79ceb0889bdd12acdf3fa9d207ed3ff63

tokens
array of strings
length ≤ 50

Array of tokens. Max limit is 50. Example: tokens: 0x8d04a8c79ceb0889bdd12acdf3fa9d207ed3ff63:704 tokens: 0x8d04a8c79ceb0889bdd12acdf3fa9d207ed3ff63:979

tokens
string

Filter to a particular attribute. Attributes are case sensitive. Note: Our docs do not support this parameter correctly. To test, you can use the following URL in your browser. Example: https://api.reservoir.tools/tokens/v6?collection=0x8d04a8c79ceb0889bdd12acdf3fa9d207ed3ff63&attributes[Type]=Original or https://api.reservoir.tools/tokens/v6?collection=0x8d04a8c79ceb0889bdd12acdf3fa9d207ed3ff63&attributes[Type]=Original&attributes[Type]=Sibling

source
array of strings
length ≤ 80
source
string

Domain of the order source. Example www.apecoinmarketplace.com. For a native marketplace, return all tokens listed on this marketplace, even if better prices are available on other marketplaces.

excludeSources
array of strings
length ≤ 80
excludeSources
integer
≥ 1

Get tokens with a min rarity rank (inclusive), no rarity rank for collections over 100k

integer
≥ 1

Get tokens with a max rarity rank (inclusive), no rarity rank for collections over 100k

number

Get tokens with a min floor ask price (inclusive); use native currency

number

Get tokens with a max floor ask price (inclusive); use native currency

number
enum

Allowed only with collection and tokens filtering!
-1 = All tokens (default)
0 = Non flagged tokens
1 = Flagged tokens

Allowed:
string

Filter to a particular collection set. Example: 8daa732ebe5db23f267e58d52f1c9b1879279bcdf4f78b8fb563390e6946ea65

string

Filter to a particular community. Example: artblocks

contract
array of strings
length ≤ 20
contract
string

Filter to a particular token set. Example: token:0xa7d8d9ef8d8ce8992df33d8b8cf4aebabd5bd270:129000685

string
enum

Order the items are returned in the response. Options are floorAskPrice, tokenId, rarity, listedAt, lastSaleAt, lastSalePrice and updatedAt. No rarity rank for collections over 100k. defaults to floorAskPrice

Allowed:
string
string

Filter to a particular token by name. This is case sensitive. Example: token #1

currencies
array of strings
length ≤ 50

Filter to tokens with a listing in a particular currency. Max limit is 50. Example: currencies[0]: 0x0000000000000000000000000000000000000000

currencies
integer
≥ 1

Amount of items returned in response. Max limit is 100, except when sorting by updatedAt which has a limit of 1000. defaults to 20

number

When sorting by updatedAt, the start timestamp you want to filter on (UTC).

number

When sorting by updatedAt, the end timestamp you want to filter on (UTC).

boolean

If true, top bid will be returned in the response. defaults to false

boolean

If true, mint data for the tokens will be included in the response. defaults to false

boolean

Exclude orders that can only be filled by EOAs, to support filling with smart contracts. defaults to false defaults to false

boolean

If true, will filter any tokens marked as spam. defaults to false

boolean

If true, will filter any tokens marked as nsfw. defaults to false

boolean

If true, will filter any burnt tokens. defaults to false

boolean

If true, attributes will be returned in the response. defaults to false

boolean

If true, quantity filled and quantity remaining will be returned in the response. defaults to false

boolean

If true, dynamic pricing data will be returned in the response. defaults to false

boolean

If true, last sale data including royalties paid will be returned in the response. defaults to false

boolean

If true, prices will include missing royalties to be added on-top. defaults to false

string

Use continuation token to request next offset of items.

string

Input any ERC20 address to return result in given currency. Applies to topBid and floorAsk.

Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*